Summary:	PHP class to generate PDF files
Name:		php-fpdf
Version:	1.8.5
Release:	%mkrel 2
License:	MIT
Group:		Development/PHP
Source0:	fpdf185.tgz
#Source1:	http://www.fpdf.org/en/dl.php?v=185&f=tgz
URL:		http://www.fpdf.org
BuildArch:	noarch
BuildRequires:	dos2unix


%description
FPDF is a PHP class that allow generating PDF files with pure PHP, that is to
say without using the PDFlib library. FPDF provides high-level functions and 
has the following main features:

 - Choice of measure unit, page format, and margins
 - Page header and footer management
 - Automatic page break
 - Automatic line break and text justification
 - Image support (JPEG and PNG)
 - Colors
 - Links
 - TrueType, Type1, and encoding support
 - Page compression

%prep

%setup -q -n fpdf185

find . -name "*.htm" \
     -name "*.css" \
     -name "*.txt" \
     -name "*.ini" \
     -name "*.mat" \
     -name "*.afm" \
     -name "*.ttf" \
     -name "*.z" \
     -name "*.png" \
     -exec chmod 644 {} \;

find . -name "*.txt" -name "*.ini" -exec dos2unix -U {} \;

%install
install -d %{buildroot}%{_datadir}/php/fpdf
cp -a fpdf.php %{buildroot}%{_datadir}/php/fpdf/
cp -pR font %{buildroot}%{_datadir}/php/fpdf/

install -d %{buildroot}%{_docdir}/php-fpdf
cp -pR doc %{buildroot}%{_docdir}/php-fpdf/
cp -pR tutorial %{buildroot}%{_docdir}/php-fpdf/
cp -p FAQ.htm fpdf.css fpdf.php install.txt license.txt %{buildroot}%{_docdir}/php-fpdf/

%files 
%{_datadir}/php/fpdf
%{_docdir}/php-fpdf





%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.8.5-2.mga10
+ Revision: 2217989
- Mageia 10 Mass Rebuild

* Sun Feb 26 2023 mokraemer <mokraemer> 1.8.5-1.mga9
+ Revision: 1945524
- fix directory
- new version 1.8.5

* Tue Apr 19 2022 mokraemer <mokraemer> 1.8.4-1.mga9
+ Revision: 1851638
- new version 1.8.4

* Mon Mar 21 2022 umeabot <umeabot> 1.8.2-2.mga9
+ Revision: 1812843
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 mokraemer <mokraemer> 1.8.2-1.mga8
+ Revision: 1600104
- fix build err
- new version 1.8.2

* Wed Feb 12 2020 umeabot <umeabot> 1.8.1-3.mga8
+ Revision: 1507211
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1287648
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 mokraemer <mokraemer> 1.8.1-1.mga7
+ Revision: 1180284
- new versioN

* Fri Feb 05 2016 umeabot <umeabot> 1.7-6.mga6
+ Revision: 938050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 745258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 687124
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 516475
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 375751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 21 2011 spuhler <spuhler> 1.7-1.mga2
+ Revision: 185204
- upgrade to 1.7
  removed cp -p histo.htm since it doesn't exist in 1.7

* Sun Feb 06 2011 spuhler <spuhler> 1.6-4.mga1
+ Revision: 47890
- removed buildroot definition from .spec
- imported package php-fpdf


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6-4mdv2011.0
+ Revision: 629790
- rebuilt for php-5.3.5

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-3mdv2011.0
+ Revision: 588792
- rebuild

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.6-2mdv2010.1
+ Revision: 485358
- rebuilt for php-5.3.2RC1

* Wed Sep 02 2009 Stéphane Téletchéa <steletch@mandriva.org> 1.6-1mdv2010.0
+ Revision: 424070
- Initial Mandriva release


* Tue Sep 1 2009 Stéphane Téletchéa <steletch@mandriva.org> - 1.6-1mdv2010.0
- Initial package for Mandriva
